Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707208 - net-analyzer/portmon-2.0 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/portmon-2.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-29 18:02 UTC by Toralf Förster
Modified: 2020-01-31 14:57 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.22 KB, text/plain)
2020-01-29 18:02 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,116.72 KB, text/plain)
2020-01-29 18:02 UTC, Toralf Förster
Details
environment (environment,9.70 KB, text/plain)
2020-01-29 18:02 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,13.77 KB, application/x-bzip)
2020-01-29 18:02 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,6.48 KB, application/x-bzip)
2020-01-29 18:02 UTC, Toralf Förster
Details
net-analyzer:portmon-2.0:20200129-065134.log (net-analyzer:portmon-2.0:20200129-065134.log,19.19 KB, text/plain)
2020-01-29 18:02 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,6.64 KB, application/x-bzip)
2020-01-29 18:02 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-29 18:02:18 UTC
/usr/include/bits/string_fortified.h:106:10: warning: ‘__builtin_strncpy’ specified bound 512 equals destination size [-Wstringop-truncation]
  106 |   return __builtin___strncpy_chk (__dest, __src, __len, __bos (__dest));
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc -Wall -O2 -pipe -march=native -fno-common -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o portmon  portmon.o tcp_ping.o icmp_ping.o action.o report.o config.o exec_proc.o  -lnsl 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: tcp_ping.o:(.bss+0xc): multiple definition of `timeout'; portmon.o:(.bss+0x4): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: tcp_ping.o:(.bss+0x8): multiple definition of `verbose'; portmon.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
  [5]   pypy3 (fallback)

Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
Available Java Virtual Machines:
  (none found)
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 05:26:17 +0000

emerge -qpvO net-analyzer/portmon
[ebuild  N    ] net-analyzer/portmon-2.0
Comment 1 Toralf Förster gentoo-dev 2020-01-29 18:02:22 UTC
Created attachment 607912 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 18:02:27 UTC
Created attachment 607914 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-29 18:02:32 UTC
Created attachment 607916 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-29 18:02:35 UTC
Created attachment 607918 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-29 18:02:40 UTC
Created attachment 607920 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-29 18:02:44 UTC
Created attachment 607922 [details]
net-analyzer:portmon-2.0:20200129-065134.log
Comment 7 Toralf Förster gentoo-dev 2020-01-29 18:02:49 UTC
Created attachment 607924 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-31 14:57:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4931ad3ae7ed96249a4fef52dfb82b22d675577

commit d4931ad3ae7ed96249a4fef52dfb82b22d675577
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-31 14:57:30 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-31 14:57:50 +0000

    net-analyzer/portmon: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707208
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../portmon/files/portmon-2.0-fno-common.patch     | 58 ++++++++++++++++++++++
 net-analyzer/portmon/portmon-2.0-r1.ebuild         | 33 ++++++++++++
 2 files changed, 91 insertions(+)